.centerbox{

    background-color: white;
    width: 50%;
    margin: auto;
    margin-top: 2em;
    padding: 35px;
    border-radius: 1em;
    text-align: center;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-areas: "a b c";

}


.centerbox section:first-child{

    grid-area: a;
    padding: 1rem;
}

.centerbox section:nth-child(2){

    grid-area: b;
    padding: 1rem;
}

.centerbox section:last-child{

    grid-area: c;
    padding: 1rem;
}

#cancelSpinner{
    position: absolute;
    right: 5%;
    top: 15%;
    width: 2em;
    height: 2em;
    margin-top: -1em;
    margin-left: -1em;
    color: black;
    opacity: 0.5;
    display: none;
}


#loadingSpinner{
    position: fixed;
    width: 2em;
    height: 2em;
    top: 50%;
    left: 50%;
    margin-top: -1em;
    margin-left: -1em;
    display: none;
    border: 0.2em solid #CECECE; 
    border-top-color: #14B48C; 
    border-radius: 50%; 
    animation: spin 1s infinite;
    
}

@keyframes spin{
    from{transform: rotate(0deg);}
    to{transform: rotate(360deg);}
    
}

#locationPage{
    position: fixed;
    width: 100%;
    height: 0;
    bottom: 0;
    opacity: 1;
    display: none;
}


#question{

    font-size: 0.6em;
}



#searchButtonBox{

    background-color: #cfc9c1;
    width: 50%;
    margin: auto;
    margin-top: 2em;
    border-radius: 1em;
    text-align: center;             

}

#searchButton{

    width: 100%; 
    display: block;

}